//------------------------------------------------------------------------------
//
//  npos.h
//
//  ANTz application based on NPE
//
//  Created by Shane Saxon on 3/6/11.
//  Copyright Saxon Digital 2010-2011. All rights reserved.
//
//------------------------------------------------------------------------------

#ifndef NPOS_H_
#define NPOS_H_

#include "../npdata.h"
//#include <stdio.h>

#ifdef NP_LINUX_
#include "linux/nplinuxfile.h"
#endif

#ifdef NP_MSW_
#include "msw/npmswfile.h"
#endif

#ifdef NP_OSX_
#include "osx/nplinuxfile.h"
#endif

//------------------------------------------------------------------------------

void nposGetCWD (char* buffer, int* size);

FILE* nposFileDialog (const char* fileName, int dialogType, void* dataRef);

int nposShowCursor (int hide);
int nposSetCursorPos (int x, int y);

#endif