//-----------------------------------------------------------------------------
//
//  npnode.h
//  npe
//
//  Created by Shane Saxon on 2/19/10.
//  Copyright Saxon Digital 2010. All rights reserved.
//
//-----------------------------------------------------------------------------

#ifndef npnode_H_
#define npnode_H_

//#include "../io/glfw.h"
//#include <freeglut.h>
#include "../npdata.h"


//--- Functions ---------------------------------------------------------------

void npInitNode (void* dataRef);
void npCloseNode (void* dataRef);

void npInitNodeDefault (NPnodePtr node);
void npInitNodeCamera (NPnodePtr node);

void* npNodeNew (int nodeType, void* dataRef);
void* npNodeNewChild (NPnodePtr node, void* dataRef);
void npNodeDelete (NPnodePtr node, void* dataRef);

#endif

