//------------------------------------------------------------------------------
//
//  npgl.h
//  ANTZ application based on npe
//
//  Created by Shane Saxon on 2/19/10.
//  Copyright Saxon Digital 2010. All rights reserved.
//
//------------------------------------------------------------------------------
#ifndef NPGL_H_
#define NPGL_H_


#include "../npdata.h"

#include "npglut.h"

#include "gl/npgldraw.h"



//MB//
//--- Data -----
int width;
int height;
int selectedID;
//MB-end//

//--- Functions ----------------------------------------------------------------

void npInitGL(void* dataRef);

void npGLDrawScene (void* dataRef);

void npGLResizeScene (int width, int height);

void npMouseEvent (int button, int state, int x, int y);

void npMouseMotion (int x, int y);


#endif